A collection of endpoints which can be used to search the catalog for relevant activities.
- Get review statistics for activity
Musement API (3.5.0)
For merchant or affiliate partners wishing to use the Musement API.
See the Authentication section for details on how to authenticate with the API.
GET /activities/{activityUuid}/dates/{date}- Added
availability,max_buyandmin_buyproperties to timeslots. For more info, check out our guide
- Added
Can we publish this review? If true, the review might be included in reviews for the activity, pending an internal evaluation. When false, the review will never be part of reviews for the activity, but its rating will be added to the activity's review statistics.
The language of the customer's written review, following RFC 3066.
The Musement order item UUID that the review is for.
The identifier for the review from the service providing the review data.
The customer's name as it should be displayed with the review.
The customer's rating of their experience, based on the rating_scale.
The rating scale used for the review, from the lowest to the highest value: {lowest}..{highest}
The customer's traveler type.
The date and time the review was written.
- Mock serverhttps://partner-api.musement.com/_mock/reference/openapi/activities/{activityUuid}/reviews
- Sandbox serverhttps://sandbox.musement.com/api/v3/activities/{activityUuid}/reviews
- Production serverhttps://api.musement.com/api/v3/activities/{activityUuid}/reviews
- curl
- C#
- Node.js
curl -i -X POST \
'https://partner-api.musement.com/_mock/reference/openapi/activities/{activityUuid}/reviews' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"age": 27,
"comment": "Awesome experience.",
"date": "2021-11-18T15:13:13",
"is_public": true,
"locale": "en-GB",
"order_item_uuid": "d83d4e0a-e62b-4c81-b403-4206914cd697",
"provider": "QUALTRICS",
"provider_id": "R_wXE9FFQ1qhK2J0w",
"public_username": "John Doe",
"rating_categories": [
{
"category_code": "SERVICE",
"category_rating": 4,
"rating_scale": "1..5"
}
],
"rating_scale": "1..5",
"rating_value": 4,
"traveler_type": "WITH-FAMILY"
}'The value of this parameter might affect the language of the content in the response, provided a translation in the requested language is available.
A partner's application value, used for analyzing API usage and to identify areas of improvement.
The API version to use for the request.
When absent, the latest version is used by default, however the latest version may not be stable. Partners are encouraged to use the latest stable version: 3.4.0.
- Mock serverhttps://partner-api.musement.com/_mock/reference/openapi/activities/{activityUuid}/reviews/statistics
- Sandbox serverhttps://sandbox.musement.com/api/v3/activities/{activityUuid}/reviews/statistics
- Production serverhttps://api.musement.com/api/v3/activities/{activityUuid}/reviews/statistics
- curl
- C#
- Node.js
curl -i -X GET \
'https://partner-api.musement.com/_mock/reference/openapi/activities/{activityUuid}/reviews/statistics' \
-H 'Accept-Language: en-US' \
-H 'X-Musement-Application: string' \
-H 'X-Musement-Version: 3.4.0'Review statistics for activity
The overall rating of the reviews on a scale of zero (poor) to ten (amazing).
A breakdown of each rating by category.
The code for the review category.
The name of the category, translated based on the Accept-Language header value.
A breakdown of the number of reviews per rating on the scale.
{ "reviews_number": 700, "overall_rating": 7.65, "reviews_per_rating": [ { … }, { … }, { … }, { … }, { … }, { … }, { … }, { … }, { … }, { … } ], "rating_categories": [ { … } ] }